import { computed } from 'vue'
import { useProjectSettingStore } from '@/store/modules/projectSetting'

export function useProjectSetting() {
  const projectStore = useProjectSettingStore()
  const menuSetting = computed(() => projectStore.menuSetting)
  const permissionMode = computed(() => projectStore.permissionMode)

  return {
    menuSetting,
    permissionMode,
  }
}
